import Phaser from "phaser";
import backgroundMusicUrl from "../../../background_music.mp3";
import portalOpenSfxUrl from "../../../portal_open.mp3";

export const BACKGROUND_MUSIC_KEY = "background-music";
export const PORTAL_OPEN_SFX_KEY = "portal-open-sfx";

export class BootScene extends Phaser.Scene {
  constructor() {
    super("boot");
  }

  preload(): void {
    this.load.audio(BACKGROUND_MUSIC_KEY, backgroundMusicUrl);
    this.load.audio(PORTAL_OPEN_SFX_KEY, portalOpenSfxUrl);
  }

  create(): void {
    this.scene.start("main-menu");
  }
}
